@mixin app-login-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
  
    .outerpage-login-wrapper {
      display: flex;
      flex-direction: column;
  
      .main-content {
        display: flex;
        flex-direction: column;
        height: 100vh;
        width: 100%;
        margin: 0 auto;
        background: mat-color($primary, 50);
        .top-menubar {
          overflow: hidden;
          position: fixed;
          height: 50px !important;
          top: 0;
          width: 100%;
          z-index: 2;
          color: white;
          background: mat-color($primary);
          background: linear-gradient(to right, mat-color($primary, 100), mat-color($primary, 200), mat-color($primary, 300) 30%, mat-color($primary, 500) 70%);
          .logo {
            width: 200px;
            height: 50px;
            margin: 10px 0px;
          }
          .toolbar-spacer {
            flex: 1 1 auto;
          }
          .main-title {
            font-size: 1.1em;
            // font-weight: bold;
          }
        }
  
        .login-out-content {
          flex: 1 0 auto;
          padding: 20px;
          background: mat-color($primary, 50);
    
          .login-card {
            width: 350px;
            height: 300px;
            margin: 0 auto !important;
            margin-top: 10px;
    
            .mat-card-header {
              justify-content: center;
            }
    
            .mat-card-content {
              padding-top: 15px;
            }
    
            .mat-card-footer {
              padding: 0px;
            }
          }
    
        }
  
        .footer {
          display: flex;
    
          mat-toolbar {
            height: 40px;
            font-size: 0.9em;
    
            .copyright {
              display: flex;
              flex: auto;
            }
            .helpSupport {
              display: flex;
              width: 100px;
            }
          }
        }  
      }
    }
  }
  